#define relais 12
#define dcSensor A0
#define powerLed 11
#define actionLed 10

const int PAUSE = 25;
const int BREAK_BETWEEN_CARS = 3000;

const float R1 = 30000.0f; // Der Widerstand R1 hat eine größe von 30 kOhm
const float R2 = 7500.0f; //  Der Widerstand R2 hat eine größe von 7,5 kOhm
const float MAX_VIN = 12.0f; //max. Spannung

boolean lastAction = false;

void setup() {
  Serial.begin(9600);
  pinMode(relais, OUTPUT);
  pinMode(powerLed, OUTPUT);
  pinMode(actionLed, OUTPUT);

  digitalWrite(powerLed, HIGH);
  digitalWrite(actionLed, LOW);
  digitalWrite(relais, LOW);
}

float calcVin(){
  float vout = (analogRead(dcSensor) * MAX_VIN) / 1024.0f;
  return vout / (R2/(R1+R2));   
}

void loop() {
  float vIn = calcVin();
  Serial.println(vIn);
  if (vIn >= 5) {
    if (lastAction == true) {
      // mache nix
    } else {
      digitalWrite(actionLed, HIGH);
      Serial.println("drin");
      digitalWrite(relais, HIGH);
      delay(PAUSE);
      digitalWrite(relais, LOW);
      Serial.println("Pause begin");
      delay(BREAK_BETWEEN_CARS);
      Serial.println("Pause ende");
      digitalWrite(actionLed, LOW);
      lastAction = true;
    }
  } else {
   lastAction = false;
  }
}
